# Request - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.abstracts / Request

# Request

(common) `interface Request<T : Any>` (source)

### Properties

(common)

#### resultDeserializer

`abstract val resultDeserializer: DeserializationStrategy<T>`

### Functions

(common)

#### method

`abstract fun method(): String`

### Inheritors

(common)

#### MultipartRequest

`interface MultipartRequest<T : Any> : Request<T>`

(common)

#### SendStickerByFile

`data class SendStickerByFile : MultipartRequest<ContentMessage<StickerContent>>, Request<ContentMessage<StickerContent>>`

(common)

#### SimpleRequest

`interface SimpleRequest<T : Any> : Request<T>`